org.eclipse.net4j.util.concurrent

## Class Worker.WorkContext

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Worker.WorkContext

- Enclosing class:
    Worker

      public class Worker.WorkContext
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCount()`
    `void` | `nextWork()`
    `void` | `nextWork(long pauseMillis)`
    `void` | `terminate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkContext

          public WorkContext()

  - ### Method Detail

    - #### getCount

          public long getCount()

    - #### nextWork

          public void nextWork()

    - #### nextWork

          public void nextWork(long pauseMillis)

    - #### terminate

          public void terminate()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html